Bug 178284 - [build] make installworld doesn't detect UID correctly and fails due to not having enough permissions
Summary: [build] make installworld doesn't detect UID correctly and fails due to not h...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-01 20:00 UTC by Wojciech A. Koszek
Modified: 2018-01-03 05:12 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wojciech A. Koszek freebsd_committer 2013-05-01 20:00:00 UTC
make installworld will fail if you do it as non-root user.

I think "make installworld" should warn user about running with non-root
UID, and maybe ask for a "Press Y to continue", and should let me install
the world correctly, without failing on "permission denied".

In the perfect case, such installation would create a script e.g.: perms.sh
in $DESTDIR/, so that once booted, I could just do sh /perms.sh and have
everything be fixed.
Comment 1 Brooks Davis freebsd_committer 2013-05-01 23:03:27 UTC
On Wed, May 01, 2013 at 06:51:59PM +0000, Wojciech A. Koszek wrote:
> >Description:
> make installworld will fail if you do it as non-root user.
>
> I think "make installworld" should warn user about running with non-root UID, and maybe ask for a "Press Y to continue", and should let me install the world correctly, without failing on "permission denied".
> 
> In the perfect case, such installation would create a script e.g.: perms.sh in $DESTDIR/, so that once booted, I could just do sh /perms.sh and have everything be fixed.

Other than not being automatic, the NO_ROOT option introduced in HEAD
in January will accomplish all of this (you set permissions with mtree
instead of a script, but that's just a detail).  I hope to merge it to 9
in the next week.  Virtually all the supporting commits are now
complete.

-- Brooks
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:37 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped